<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Salesperson extends CI_Controller {

	public function __construct() {   
 		parent::__construct();
		$this->load->model('admin_model');
 	}

	public function index()
	{
		if($this->validateUser()){
			$data['Sales_pInfo'] = $this->admin_model->get_sales_person_info();
			
			$data['title']='Sales_Person';
			$this->load->view('Template/Admin/admin_header');
			$this->load->view('Template/Admin/admin_leftsidebar',$data);
			$this->load->view('Admin/sales_person');
			$this->load->view('Template/Admin/admin_footer');
		}
		else{
			redirect('Admin');
		}
	}
	
	public function sales_person_info()
	{
		/* Check Email exit or not */
		$Present = $this->admin_model->Check_Sales_Person_Email_Exit($_POST['premail']);

		if(!empty($Present)) {
			/* Email exit */
			echo 'exit';
		} 
		else {

			$data=array(
			'sales_person_name' => $_POST['prname'],
			'sales_person_email' => $_POST['premail']
			);
			
			$result=$this->admin_model->sales_info($data);
			
			if(!empty($result))
			{
				$data['Sales_pInfo'] = $this->admin_model->get_sales_person_info();
				$this->load->view('Admin/ajax_sales_person_data',$data);
			}
			else
			{
				echo "error";
			}
		}
		
	}

	public function deleteSales()
	{	
		$result=$this->admin_model->delete_sales($_POST['sales_id']);
	}

	public function check_email() {

		$sEmail = $this->input->post('email');
		$aEmail = $this->admin_model->check_email($sEmail); 

		$count = count($aEmail);
		echo json_encode($count);
	}

	public function insertSalesPerson(){

		$aPost = $this->input->post();

		$edit_id = $aPost['edit_id'];

		$aMasterData = array(

			'first_name'  	=> $aPost['fname'],
			'last_name'  	=> $aPost['lname'],
			'email'  		=> $aPost['email'],
			'contact'  		=> $aPost['contact'],
			//'username'  	=> $aPost['username'],
			'password'  	=> md5($aPost['password'])
		);

		//echo "<pre>";print_r($aMasterData);die;

		$res = 0;

		if (!empty($edit_id)) //update
		{
			if($this->admin_model->updateRecord('tbl_sales_person',$aMasterData,array('sales_id'=>$edit_id))){
				$res = 1;
			}
		} 
		else //insert
		{
			$aMasterData['created_at'] = date('Y-m-d H:i:s');
			if($this->admin_model->insertRecord('tbl_sales_person',$aMasterData)){
				$res = 1;
			}
			$sales_person_id = $this->db->insert_id();
		}

		if($res == 1)
		{
			$data['Sales_pInfo'] = $this->admin_model->get_sales_person_info();
			$this->load->view('Admin/ajax_sales_person_data',$data);
		}
	}


	private function validateUser()
	{
		if((!empty($this->session->userdata('admin_id')) || $this->session->userdata('admin_id')!='')){
			return TRUE;
		}else{
			return false;
		}
	}

}